> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Entitlement Membership

> Remove a user from a ConductorOne-managed entitlement (catalog, group, or profile type). For access profiles, this creates a revoke task to deprovision access.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/remove-membership
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/remove-membership:
    delete:
      tags:
        - App Entitlement
      summary: Remove Entitlement Membership
      description: >-
        Remove a user from a ConductorOne-managed entitlement (catalog, group,
        or profile type). For access profiles, this creates a revoke task to
        deprovision access.
      operationId: c1.api.app.v1.AppEntitlements.RemoveEntitlementMembership
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The ID of the app that contains the entitlement.
            readOnly: false
            type: string
        - in: path
          name: app_entitlement_id
          required: true
          schema:
            description: The ID of the app entitlement to remove the membership from.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v1.RemoveEntitlementMembershipRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.RemoveEntitlementMembershipResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: RemoveEntitlementMembership
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppEntitlements.RemoveEntitlementMembership(ctx, operations.C1APIAppV1AppEntitlementsRemoveEntitlementMembershipRequest{\n        AppEntitlementID: \"<id>\",\n        AppID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.RemoveEntitlementMembershipResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appEntitlements.removeEntitlementMembership({
                appId: "<id>",
                appEntitlementId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.RemoveEntitlementMembershipRequestInput:
      description: The RemoveEntitlementMembershipRequest message.
      properties:
        appUserId:
          description: The ID of the app user whose membership to remove.
          readOnly: false
          type: string
      title: Remove Entitlement Membership Request
      type: object
      x-speakeasy-name-override: RemoveEntitlementMembershipRequest
    c1.api.app.v1.RemoveEntitlementMembershipResponse:
      description: The RemoveEntitlementMembershipResponse message.
      properties:
        revokeTaskId:
          description: >-
            The ID of the revoke task created to remove the user from the
            entitlement, if the entitlement is an access profile (aka. catalog).
             It's aka. the JML task.
          readOnly: false
          type: string
      title: Remove Entitlement Membership Response
      type: object
      x-speakeasy-name-override: RemoveEntitlementMembershipResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````